API references
Search documentation... ⌘K
API references
Merchant API

Add a new terminal

Creates a new terminal under the authenticated merchant account.

Endpoint signature
This endpoint requires an API key. Read our authentication guide for more information.
POST https://api.reservepay.com/merchants/add-terminal HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>
{
name: string,
external_id: string?,
installation_id: string?,
branch_name: string?,
kiosk_mode: boolean?,
}
Returns: string
New to Reservepay? Read our guide on how to call endpoints to get started.
Request arguments
name string

Required. Human-readable terminal name.

external_id string

Optional. Your own identifier for the terminal.

installation_id string

Optional. Optional installation to associate this terminal with.

branch_name string

Optional. Optional branch name to associate this terminal with.

kiosk_mode boolean

Optional. Whether to enable kiosk mode.

Errors specific to this endpoint
NOT_FOUND

The installation_id does not exist in this merchant account.

Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.

CODE SAMPLES
curl
Learn how to run these code samples in your terminal by reading our guide.